function [tbl] = linklist(net)

tbl = table;
tbl.Link = (1:net.nlinks)';
from = net.links(:,1);
to = net.links(:,2);
if net.directed
    tbl.from = from;
    tbl.fo = to;
    tbl.From = net.nodes(from);
    tbl.To = net.nodes(to);
else
    tbl.node1 = to;
    tbl.node2 = from;
    tbl.Node1 = net.nodes(to);
    tbl.Node2 = net.nodes(from);
end
tbl.Distance = net.links(:,3);

for k = 1:net.nlinks
 type(k) = net.linktypenames(net.linktypes(net.links(k,1),net.links(k,2))); %#ok<AGROW>
end
tbl.Type = type(:);

end