function label = parse(node)
global pf
head = '';
tail = '';
node = char(node);
if strcmpi(pf.pref.box,'none')
    if strcmpi(pf.pref.align,'left')
        head = ' ';
    elseif strcmpi(pf.pref.align,'right')
        tail = ' ';
    end
end
sp = strfind(node,' ');
c = length(node);
if ~isempty(sp) && (c > 10)
    half = round(c/2);
    half = abs(sp - half);
    minh = min(half);
    cut = sp(half == minh);
    cut = cut(1);
    if (c > 10) && (cut > 4) && (abs(cut - c) > 4)
        h1 = node(1:(cut-1));
        h2 = node((cut+1):end);
        label = {[head h1 tail];[head h2 tail]};
    else
        label = [head node];
    end
else
    label = [head node tail];
end
label = string(label);
end
