function slider_callback( hObject, ~, ~)
global pf

warning off %#ok<*WNOFF>
thresh = get(hObject,'Value');
if thresh == 0
    thresh = -eps;
end

figh = gcf;
netname = get(figh,'UserData');
net = pf.net.(netname);

lh = net.view.linkhandles;
ah = net.view.arrowhandles;

v = net.links(:,3);
minv = min(v);
maxv = max(v);

v = minv + maxv - v;

if maxv == minv
    msgbox('No link weights available');
    return
end
v = (v - minv)/(maxv - minv);

hold on
for k = 1:length(v)
    row = net.links(k,1);
    col = net.links(k,2);
    if v(k) > thresh
        if ishandle(lh(k))
            set(lh(k),'Visible','on')
            if net.directed && ishandle(ah(k))
                set(ah(k),'Visible','on')
            end
        elseif row == col
            set(net.view.nodehandles(row),'EdgeColor','blue');
        end
    else
        if ishandle(lh(k))
            set(lh(k),'Visible','off')
            if net.directed && ishandle(ah(k))
                set(ah(k),'Visible','off')
            end
        elseif row == col
            set(net.view.nodehandles(row),'EdgeColor','none');
        end
    end
end
hold off
warning on 
end