function tf = isin(b,a,varargin)
% tf = isin(s1,s2)
% tf = isin(s1,s2,where)
% is true when string s2 is in string s1 starting at position where
% when where = 0 (default) matches anywhere count

where = 0;
if nargin > 2
    where = varargin{1};
end

loc = strfind(b,a);
if where == 0
    tf = ~isempty(loc);
else
    tf = ismember(where,loc);
end