function pfname = makepfname(name,q,r)
% pfname = makepfname(name,q,r,min,max)
% adds name and q and r values if not default q = inf (n-1) and r = inf

pfname = name;
if ~isnan(q) && q < inf
    pfname = [name '_q' num2str(q)];
end
if ~isnan(r) && r < inf
    w = floor(r);
    rn = ['_r' num2str(w)];
    f = round(10*(r - w));
    if f > 0
        rn = [rn '_' num2str(f)];
    end  
    pfname = [pfname rn];
end
