function puttext(filename, text)
% puttext(filename, text)
% text is either a string array or a cell array of char vectors
% creates file, filename, and stores lines of text
%
if ischar(text)
    text = string(text);
end
type = iscell(text);
fid = fopen(filename,'wt+');
for k = 1:length(text)
    if type
        t = text{k};
    else
        t = text(k);
    end
    fprintf(fid,'%s\n', t);
end
fclose(fid);
end