function terms = readterms(file)
% terms = readterms(file)
% attempts to read terms from file, returns {} on failure
terms = {};
if exist(file,'file')
    tid = fopen(file);
    terms = textscan(tid,'%s','whitespace','\n');
    terms = terms{1};
    tf = false(length(terms),1);
    for k = 1:length(terms)
        if isempty(strtrim((terms{k})))
            tf(k) = true;
        end
    end
    terms(tf) = [];
    fclose(tid);
end
